#include <stdlib.h>
#include <SDL.h>

int main(void)
{
	SDL_Surface *surface;
	SDL_Event event;
	SDL_Color col;
	int quit;

	if (SDL_Init(SDL_INIT_VIDEO)) return 1;

	surface = SDL_SetVideoMode(800, 480, 8, SDL_HWSURFACE|SDL_FULLSCREEN);
	if (surface) {
		SDL_ShowCursor(SDL_DISABLE);
		col.r = 255;
		col.g = 255;
		col.b = 255;
		SDL_SetPalette(surface, SDL_LOGPAL|SDL_PHYSPAL, &col, 0, 1);
		SDL_FillRect(surface, NULL, 0);
		SDL_Flip(surface);
		quit = 0;
		while (SDL_WaitEvent(&event)) {
			if (event.type == SDL_KEYDOWN) break;
		}
	}

	SDL_Quit();

	return 0;
}
